The latest version of MonoDevelop working in Porteus

Post links to your 32-bit module repos here. Repo maintainers are responsible for resolving any issues caused by their xzm's.
Post Reply
tom2238
White ninja
White ninja
Posts: 14
Joined: 15 Nov 2018, 14:52
Distribution: Porteus MATE v3.2.2 i586

The latest version of MonoDevelop working in Porteus

Post#1 by tom2238 » 15 Nov 2018, 20:30

Hi everyone.

I am trying install MonoDevelop IDE in Porteus. Version 7.6.9.22 (monodevelop-7.6.9.22-alt2.i586.rpm) from Alt Linux can startup, but crash while i am click on debug or about application. Version 5.10.0.871 (monodevelop_5.10.0.871-2_all.deb) from Debian looks like good, but i am cannot compile .NET project. I get this error message: Error: /home/guest/workspace/Test/Test/Test.csproj: Input string was not in a correct format. It is easy hello world application. Simple C code works. I can build it and run it.

This modules are activated:
mono-5.0.1.1-i586-1_slonly.xzm
gnome-sharp-2.24.2-i486-1salix.xzm
gnome-vfs-2.24.4-i486-3salix.xzm
gtk-sharp-2.12.29-i486-1salix.xzm
libart2.0-cil_2.24.2-4_all.xzm
libart-2.0-2_2.3.21-2_i386.xzm
libbonobo-2.32.1-i486-3salix.xzm
libbonoboui-2.24.5-i486-1salix.xzm
libgconf2.0-cil_2.24.2-4_all.xzm
libgdiplus-5.4-i586-1_slonly.xzm
libglade2.0-cil-dev_2.12.40-2_i386.xzm
libglib2.0-cil-dev_2.12.40-2_i386.xzm
libgnome2.24-cil_2.24.2-4_i386.xzm
libgnome2-common_2.32.1-5_all.xzm
libgnome-2-0_2.32.1-5+b1_i386.xzm
libgnomeui-2.24.5-i486-1salix.xzm
libgtk2.0-cil_2.12.40-2_i386.xzm
libgtk2.0-cil-dev_2.12.40-2_i386.xzm
libgtkspell0_2.0.16-1.1_i386.xzm
libjavascriptcoregtk-1.0-0_2.4.11-3_i386.xzm
libmono-addins0.2-cil_1.0+git20130406.adcd75b-4_all.xzm
libmono-addins-cil-dev_1.0+git20130406.adcd75b-4_all.xzm
libmono-addins-gui0.2-cil_1.0+git20130406.adcd75b-4_all.xzm
libmono-addins-gui-cil-dev_1.0+git20130406.adcd75b-4_all.xzm
libmono-addins-msbuild0.2-cil_1.0+git20130406.adcd75b-4_all.xzm
libmono-addins-msbuild-cil-dev_1.0+git20130406.adcd75b-4_all.xzm
mono-addins-utils_1.0+git20130406.adcd75b-4_all.xzm
mono-complete_4.6.2.7+dfsg-1ubuntu1_i386.xzm
monodevelop_5.10.0.871-2_all.xzm
monodevelop-debugger-gdb-5.0.1-4-rosa2016.1.noarch.xzm
monodoc-browser_4.2-2_all.xzm
monodoc-manual_4.6.2.7+dfsg-1_all.xzm
nuget-3.5.0-noarch-1_slonly.xzm
ORBit2-2.14.19-i486-3salix.xzm
webkit-sharp-0.3-10.mga6.noarch.xzm
webkitgtk-2.4.11-i586-1gv.xzm

Using Mono JIT compiler version 5.0.1.1 .

Which version of MonoDevelop works on Porteus? It's a bad version of Mono, MonoDevelop, libraries or everything?

Thanks.

User avatar
Blaze
DEV Team
DEV Team
Posts: 2624
Joined: 28 Dec 2010, 11:31
Distribution: ⟰ Porteus current ☯ all DEs ☯
Location: ☭ Russian Federation, Lipetsk region, Dankov
Contact:

The latest version of MonoDevelop working in Porteus

Post#2 by Blaze » 16 Nov 2018, 17:24

Hi tom2238.
I think you must to use only Slackware packages (it's better variant), but if you can't to find package you can use other packages from https://pkgs.org/
Linux 5.3.0-rc3-porteus #1 SMP Mon Aug 5 11:28:55 UTC 2019 x86_64 Intel(R) Core(TM) i5-6600K CPU @ 3.50GHz GenuineIntel GNU/Linux
MS-7A12 » [AMD/ATI] Tobago PRO [Radeon R7 360 / R9 360 OEM] (rev 81) » Vengeance LPX 16GB DDR4 K2 3200MHz C16

User avatar
wread
Module Guard
Module Guard
Posts: 1185
Joined: 09 Jan 2011, 18:48
Distribution: Porteus v4.0-kde-64 bits
Location: Santo Domingo
Contact:

The latest version of MonoDevelop working in Porteus

Post#3 by wread » 16 Nov 2018, 19:50

Hi tom2238
I have tried several IDE's; for writing C/C++ applications, my preferred is Geany. It is compact and works Ok for me.
I have this folder in "optional" installed and activate it only when needed.
Try it!

Cheers!
Porteus is proud of the FASTEST KDE ever made.....(take akonadi, nepomuk and soprano out and you will have a decent OS).
The Porteus Community never sleeps!

tom2238
White ninja
White ninja
Posts: 14
Joined: 15 Nov 2018, 14:52
Distribution: Porteus MATE v3.2.2 i586

The latest version of MonoDevelop working in Porteus

Post#4 by tom2238 » 16 Nov 2018, 20:41

Hi wread
I know about Geany IDE for C/C++ . I'm looking for .NET/C# IDE and MonoDevelop looks like good, but last 32bit MonoDevelop for Slackware is too old. It is version 2.9.1 (on pkgs.org).

Exists some mirrors with MonoDevelop for Slackware? In slapt-get i have 16 sources, but newer version of MonoDevelop is 2.0 .

Post Reply